## traitlets 5.0.5

=== docs/requirements.txt ===
ipython_genutils
Sphinx
sphinx_rtd_theme
-e ../.

## traitlets 4.0.0

=== debian/changelog ===
traitlets (4.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #799242)

 -- Julien Puydt <julien.puydt@laposte.net>  Sun, 27 Sep 2015 11:34:37 +0200

=== debian/control ===
Source: traitlets
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Julien Puydt <julien.puydt@laposte.net>
Section: python
Priority: optional
Standards-Version: 3.9.6
Homepage: https://github.com/ipython/traitlets
Build-Depends: bc, debhelper (>= 9), dh-python, python, python3-all, python-sphinx,
               python-nose, python3-nose, python-ipython-genutils, python3-ipython-genutils
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2
Vcs-Git: git://anonscm.debian.org/python-modules/packages/traitlets.git
Vcs-Browser: http://anonscm.debian.org/cgit/python-modules/packages/traitlets.git

Package: python-traitlets
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Lightweight Traits-like package for Python 2
 A lightweight pure-Python derivative of Enthought Traits, used
 for configuring Python objects.
 .
 It powers the config system of IPython and Jupyter.
 .
 This package contains the library for Python 2.

Package: python3-traitlets
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Lightweight Traits-like package for Python 3
 A lightweight pure-Python derivative of Enthought Traits, used
 for configuring Python objects.
 .
 It powers the config system of IPython and Jupyter.
 .
 This package contains the library for Python 3.

Package: python-traitlets-doc
Section: doc
Architecture: all
Depends: ${sphinxdoc:Depends},
         ${misc:Depends},
Description: Lightweight Traits-like package for Python
 A lightweight pure-Python derivative of Enthought Traits, used
 for configuring Python objects.
 .
 It powers the config system of IPython and Jupyter.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=traitlets
export LC_ALL=C.UTF-8
export PYBUILD_TEST_ARGS={interpreter} -m unittest discover -s traitlets/tests -v

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom dh_auto_test

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html docs/source debian/python-traitlets-doc/usr/share/doc/python-traitlets-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

=== debian/watch ===
version=3
opts=uversionmangle=s/\.(dev[0-9]*)/~$1/ \
http://pypi.debian.net/traitlets/traitlets-(.*)\.tar\.gz

## traitlets 4.2.1

=== debian/changelog ===
traitlets (4.2.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Julien Puydt ]
  * New upstream version
  * Pushed standards-version to 3.9.7
  * Added setuptools, decorator and mock as build-dep
  * Simplified d/rules wrt to tests (let dh magic work)

 -- Julien Puydt <julien.puydt@laposte.net>  Sun, 17 Apr 2016 09:35:01 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,28 @@
 Uploaders: Julien Puydt <julien.puydt@laposte.net>
 Section: python
 Priority: optional
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://github.com/ipython/traitlets
-Build-Depends: bc, debhelper (>= 9), dh-python, python, python3-all, python-sphinx,
-               python-nose, python3-nose, python-ipython-genutils, python3-ipython-genutils
+Build-Depends: bc,
+               debhelper (>= 9),
+               dh-python,
+               python,
+               python-decorator,
+               python-ipython-genutils,
+               python-mock,
+               python-nose,
+               python-setuptools,
+               python-sphinx,
+               python3-all,
+               python3-decorator,
+               python3-ipython-genutils,
+               python3-mock,
+               python3-nose,
+               python3-setuptools
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/traitlets.git
-Vcs-Browser: http://anonscm.debian.org/cgit/python-modules/packages/traitlets.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/traitlets.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/traitlets.git
 
 Package: python-traitlets
 Architecture: all
@@ -37,8 +51,7 @@
 Package: python-traitlets-doc
 Section: doc
 Architecture: all
-Depends: ${sphinxdoc:Depends},
-         ${misc:Depends},
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: Lightweight Traits-like package for Python
  A lightweight pure-Python derivative of Enthought Traits, used
  for configuring Python objects.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=traitlets
export LC_ALL=C.UTF-8

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html docs/source debian/python-traitlets-doc/usr/share/doc/python-traitlets-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

## traitlets 4.2.2

=== debian/changelog ===
traitlets (4.2.2-2) unstable; urgency=medium

  * Added a patch to intersphinx configuration to disable network
  access. (Closes: #830628)

 -- Julien Puydt <julien.puydt@laposte.net>  Sun, 10 Jul 2016 08:27:57 +0200

traitlets (4.2.2-1) unstable; urgency=medium

  * New upstream release
  * Pushed standards-version to 3.9.8
  * Completed debian/copyright

 -- Julien Puydt <julien.puydt@laposte.net>  Sun, 03 Jul 2016 11:36:13 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Julien Puydt <julien.puydt@laposte.net>
 Section: python
 Priority: optional
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/ipython/traitlets
 Build-Depends: bc,
                debhelper (>= 9),

## traitlets 4.3.1

=== debian/changelog ===
traitlets (4.3.1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Sun, 05 Mar 2017 22:29:20 +0100

traitlets (4.3.1-1) unstable; urgency=medium

  * Marked the  -doc package as Multi-Arch:foreign (tracker hint).
  * Pushed dh compat to 10.
  * New upstream release.
  * Added python-enum34, python-pytest, python3-pytest and
    python-sphinx-rtd-theme to the deps.
  * Added the upstream changelog to the packages.
  * Forced dep on python-enum34 for python-traitlets.

 -- Julien Puydt <julien.puydt@laposte.net>  Sun, 02 Oct 2016 15:50:47 +0200

=== debian/watch ===
version=3
opts=\
filenamemangle=s/([\d\.-]+)\.tar\.gz/traitlets-$1.tar.gz/ \
https://github.com/ipython/traitlets/tags .*/archive/([\d\.-]+)\.tar\.gz

## traitlets 4.3.2

=== debian/changelog ===
traitlets (4.3.2-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch.
  * Push standards-version to 4.0.0.

 -- Julien Puydt <julien.puydt@laposte.net>  Mon, 03 Jul 2017 16:35:14 +0200

=== debian/control ===
--- 
+++ 
@@ -3,23 +3,27 @@
 Uploaders: Julien Puydt <julien.puydt@laposte.net>
 Section: python
 Priority: optional
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/ipython/traitlets
 Build-Depends: bc,
-               debhelper (>= 9),
+               debhelper (>= 10),
                dh-python,
                python,
                python-decorator,
+               python-enum34,
                python-ipython-genutils,
                python-mock,
                python-nose,
+               python-pytest,
                python-setuptools,
                python-sphinx,
+               python-sphinx-rtd-theme,
                python3-all,
                python3-decorator,
                python3-ipython-genutils,
                python3-mock,
                python3-nose,
+               python3-pytest,
                python3-setuptools
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
@@ -28,7 +32,7 @@
 
 Package: python-traitlets
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
+Depends: ${misc:Depends}, ${python:Depends}, python-enum34
 Description: Lightweight Traits-like package for Python 2
  A lightweight pure-Python derivative of Enthought Traits, used
  for configuring Python objects.
@@ -51,6 +55,7 @@
 Package: python-traitlets-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: Lightweight Traits-like package for Python
  A lightweight pure-Python derivative of Enthought Traits, used

=== debian/rules ===
--- 
+++ 
@@ -12,3 +12,6 @@
 	PYTHONPATH=. sphinx-build -b html docs/source debian/python-traitlets-doc/usr/share/doc/python-traitlets-doc/html
 	dh_sphinxdoc -O--buildsystem=pybuild
 endif
+
+override_dh_installchangelogs:
+	dh_installchangelogs docs/source/changelog.rst

## traitlets 4.3.3

=== debian/changelog ===
traitlets (4.3.3-3) unstable; urgency=medium

  * Drop python2 support (Closes: #938716)

 -- Gordon Ball <gordon@chronitis.net>  Wed, 01 Apr 2020 20:47:03 +0000

traitlets (4.3.3-2) unstable; urgency=medium

  * Use my debian.org mail address.
  * Add patch from Chris Lamb to allow reproducible builds (Closes: #942342).
  * Add patch to remove a warning with Python 3.8 (Closes: #945541).

 -- Julien Puydt <jpuydt@debian.org>  Tue, 17 Dec 2019 07:54:41 +0100

traitlets (4.3.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Fix Format URL to correct one
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Gordon Ball ]
  * New upstream version 4.3.3
  * Update standards-version to 4.4.1
  * Update debhelper compat level to 12
  * Use python3 sphinx to build documentation

 -- Gordon Ball <gordon@chronitis.net>  Thu, 10 Oct 2019 17:52:02 +0000

=== debian/control ===
Source: traitlets
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: python
Priority: optional
Standards-Version: 4.4.1
Homepage: https://github.com/ipython/traitlets
Build-Depends: bc,
               debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-decorator,
               python3-ipython-genutils,
               python3-mock,
               python3-nose,
               python3-pytest,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme
Vcs-Git: https://salsa.debian.org/python-team/modules/traitlets.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/traitlets

Package: python3-traitlets
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Lightweight Traits-like package for Python 3
 A lightweight pure-Python derivative of Enthought Traits, used
 for configuring Python objects.
 .
 It powers the config system of IPython and Jupyter.
 .
 This package contains the library for Python 3.

Package: python-traitlets-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Lightweight Traits-like package for Python
 A lightweight pure-Python derivative of Enthought Traits, used
 for configuring Python objects.
 .
 It powers the config system of IPython and Jupyter.
 .
 This package contains the documentation.

=== debian/watch ===
version=3
https://github.com/ipython/traitlets/tags .*/archive/([\d\.-]+)\.tar\.gz

## traitlets 5.0.5

=== debian/changelog ===
traitlets (5.0.5-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Julien Puydt ]
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 17 Oct 2020 09:50:36 +0200

traitlets (5.0.4-1) unstable; urgency=medium

  * New upstream release.
  * Declare d/rules doesn't require root.
  * Bump std-vers to 4.5.0.
  * Ship upstream examples.
  * Update team mailing list address.
  * Update d/copyright.
  * Bump dh-compat to 13.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 07 Sep 2020 17:23:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: traitlets
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@alioth-lists.debian.net>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/ipython/traitlets
 Build-Depends: bc,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-decorator,
@@ -17,8 +17,9 @@
                python3-setuptools,
                python3-sphinx,
                python3-sphinx-rtd-theme
-Vcs-Git: https://salsa.debian.org/python-team/modules/traitlets.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/traitlets
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/python-team/packages/traitlets.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/traitlets
 
 Package: python3-traitlets
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=traitlets
export LC_ALL=C.UTF-8

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html docs/source debian/python-traitlets-doc/usr/share/doc/python-traitlets-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

override_dh_installchangelogs:
	dh_installchangelogs docs/source/changelog.rst

## traitlets 5.1.0

=== debian/changelog ===
traitlets (5.1.0-2) unstable; urgency=medium

  * Team upload.
  * Backport upstream commits fe88397 and 9ee33f0, fixing python 3.10 issues

 -- Gordon Ball <gordon@chronitis.net>  Sun, 24 Oct 2021 14:02:16 +0000

traitlets (5.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 08 Sep 2021 06:38:33 +0200

traitlets (5.0.5-3) unstable; urgency=medium

  * debian/control
    - use proper team name and email address

 -- Sandro Tosi <morph@debian.org>  Tue, 31 Aug 2021 00:51:38 -0400

traitlets (5.0.5-2) unstable; urgency=medium

  [ Julien Puydt ]
  * Fix d/watch.

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.1, no changes needed.

  [ Julien Puydt ]
  * Bump standards-version to 4.6.0.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 26 Aug 2021 18:30:52 +0200

## traitlets 5.1.1

=== docs/requirements.txt ===
Sphinx
sphinx_rtd_theme
-e ../.

=== debian/changelog ===
traitlets (5.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop 0004-Revert-Fix-string-assertion-for-python3.10.patch (upstream).
  * Drop 0005-FIX-account-for-changes-in-py310.patch (upstream).

 -- Julien Puydt <jpuydt@debian.org>  Fri, 29 Oct 2021 13:37:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: traitlets
-Maintainer: Debian Python Modules Team <python-modules-team@alioth-lists.debian.net>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/ipython/traitlets
 Build-Depends: bc,
                debhelper-compat (= 13),

=== debian/watch ===
version=4
https://github.com/ipython/traitlets/tags .*/([\d\.-]+)\.tar\.gz

## traitlets 5.2.0

=== debian/changelog ===
traitlets (5.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Adapt patches.
  * Rework b-deps.
  * Bump standards-version to 4.6.1.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 14 May 2022 09:56:38 +0200

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,14 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/ipython/traitlets
-Build-Depends: bc,
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
+               flit,
+               pybuild-plugin-pyproject,
                python3-all,
-               python3-decorator,
-               python3-ipython-genutils,
-               python3-mock,
-               python3-nose,
-               python3-pytest,
-               python3-setuptools,
+               python3-pytest <!nocheck>,
                python3-sphinx,
                python3-sphinx-rtd-theme
 Rules-Requires-Root: no

## traitlets 5.2.1

=== debian/changelog ===
traitlets (5.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Add patch to fix an upstream goof.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 18 May 2022 22:06:11 +0200

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
                flit,
                pybuild-plugin-pyproject,
                python3-all,
+               python3-hatchling,
                python3-pytest <!nocheck>,
                python3-sphinx,
                python3-sphinx-rtd-theme

## traitlets 5.2.2

=== docs/requirements.txt ===
-e ../.
Sphinx
sphinx_rtd_theme

=== debian/changelog ===
traitlets (5.2.2-1) unstable; urgency=medium

  * Drop the build depends on flit.
  * New upstream release.
  * Update dates in d/copyright.
  * Drop the patch to fix the upstream goof.
  * Add another patch to fix another upstream goof.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 07 Jun 2022 09:16:42 +0200

## traitlets 5.3.0

=== debian/changelog ===
traitlets (5.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 20 Jun 2022 09:09:35 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
 Homepage: https://github.com/ipython/traitlets
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               flit,
                pybuild-plugin-pyproject,
                python3-all,
                python3-hatchling,

## traitlets 5.4.0

=== debian/changelog ===
traitlets (5.4.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Security-Contact.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 00:19:10 +0100

traitlets (5.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 19 Sep 2022 07:30:08 +0200

## traitlets 5.5.0

=== debian/changelog ===
traitlets (5.5.0-2) unstable; urgency=medium

  * Bump standards-version to 4.6.2.
  * Fix d/rules clean target (Closes: #1048164).

 -- Julien Puydt <jpuydt@debian.org>  Fri, 18 Aug 2023 14:10:15 +0200

traitlets (5.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Add new build depends.
  * Adapt to changelog change.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 23 Oct 2022 11:44:22 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,15 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/ipython/traitlets
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                pybuild-plugin-pyproject,
                python3-all,
                python3-hatchling,
+               python3-myst-parser,
+               python3-pydata-sphinx-theme,
                python3-pytest <!nocheck>,
                python3-sphinx,
                python3-sphinx-rtd-theme

=== debian/rules ===
--- 
+++ 
@@ -14,4 +14,8 @@
 endif
 
 override_dh_installchangelogs:
-	dh_installchangelogs docs/source/changelog.rst
+	dh_installchangelogs CHANGELOG.md
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -f docs/source/changelog.md

## traitlets 5.14.3

=== debian/changelog ===
traitlets (5.14.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.7.0.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 02 May 2024 15:42:54 +0200

traitlets (5.14.2-3) unstable; urgency=medium

  * Team upload
  * Do not compress font files in -doc package

 -- Julian Gilbey <jdg@debian.org>  Fri, 05 Apr 2024 08:59:22 +0100

traitlets (5.14.2-2) unstable; urgency=medium

  * Team upload
  * Fix intersphinx mapping

 -- Julian Gilbey <jdg@debian.org>  Mon, 01 Apr 2024 16:26:36 +0100

traitlets (5.14.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version; refresh patches
  * Update d/copyright
  * Update build dependencies
  * Add autopkgtest, but skip tests/test_typing.py until
    python3-pytest-mypy-testing is in Debian
  * Move HTML documentation to /usr/share/python3-traitlets and slightly
    simplify build process

 -- Julian Gilbey <jdg@debian.org>  Mon, 01 Apr 2024 06:15:59 +0100

=== debian/control ===
Source: traitlets
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: python
Priority: optional
Standards-Version: 4.7.0
Homepage: https://github.com/ipython/traitlets
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-argcomplete <!nocheck>,
               python3-doc <!nodoc>,
               python3-hatchling,
               python3-myst-parser <!nodoc>,
               python3-pydata-sphinx-theme <!nodoc>,
               python3-pytest <!nocheck>,
               python3-pytest-mock <!nocheck>,
               python3-sphinx,
               python3-sphinx-rtd-theme <!nodoc>
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild
Vcs-Git: https://salsa.debian.org/python-team/packages/traitlets.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/traitlets
Description: Lightweight Traits-like package for Python
 A lightweight pure-Python derivative of Enthought Traits, used
 for configuring Python objects.
 .
 It powers the config system of IPython and Jupyter.

Package: python3-traitlets
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: ${source:Synopsis} (Python 3 library)
 ${source:Extended-Description}
 .
 This package contains the library for Python 3.

Package: python-traitlets-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: ${source:Synopsis} (documentation)
 ${source:Extended-Description}
 .
 This package contains the HTML documentation.
Build-Profiles: <!nodoc>

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=traitlets
export LC_ALL=C.UTF-8

export PYBUILD_TEST_ARGS = --ignore=tests/test_typing.py

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
execute_after_dh_auto_build:
	PYTHONPATH=$$(pwd) make -C docs html
endif

override_dh_installdocs:
	dh_installdocs -ppython-traitlets-doc --doc-main-package=python3-traitlets
	dh_installdocs --remaining-packages

override_dh_installexamples:
	dh_installexamples -ppython-traitlets-doc --doc-main-package=python3-traitlets
	dh_installexamples --remaining-packages

override_dh_compress:
	dh_compress -ppython-traitlets-doc -X.ttf -X.eot
	dh_compress --remaining-packages

execute_after_dh_auto_clean:
	rm -rf docs/build docs/source/changelog.md

## traitlets 5.14.3+really5.5.0

=== debian/changelog ===
traitlets (5.14.3+really5.5.0-1) unstable; urgency=medium

  * Team upload
  * Revert to traitlets version 5.5.0 until the whole jupyter stack can be
    upgraded; traitlets 5.14.* breaks jupyter (closes: #1068506)
  * The d/copyright file has not been downgraded; d/pybuild.testfiles has
    been introduced until we can return to 5.14.*.

 -- Julian Gilbey <jdg@debian.org>  Mon, 15 Jul 2024 12:43:26 +0100

## traitlets 5.14.3+really5.14.3

=== debian/changelog ===
traitlets (5.14.3+really5.14.3-1) unstable; urgency=medium

  * Team upload
  * Revert previous changes; they did not help fix jupyter
  * Depend on new python3-pytest-mypy-testing package for mypy tests

 -- Julian Gilbey <jdg@debian.org>  Sun, 04 Aug 2024 14:25:49 +0100

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
                python3-pydata-sphinx-theme <!nodoc>,
                python3-pytest <!nocheck>,
                python3-pytest-mock <!nocheck>,
+               python3-pytest-mypy-testing <!nocheck>,
                python3-sphinx,
                python3-sphinx-rtd-theme <!nodoc>
 Rules-Requires-Root: no
@@ -32,6 +33,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends}
+Suggests: python-traitlets-doc
 Description: ${source:Synopsis} (Python 3 library)
  ${source:Extended-Description}
  .
@@ -41,8 +43,10 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends: python3-doc,
+         ${misc:Depends},
          ${sphinxdoc:Depends}
+Suggests: python3-traitlets
 Description: ${source:Synopsis} (documentation)
  ${source:Extended-Description}
  .

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,6 @@
 #export DH_VERBOSE=1
 export PYBUILD_NAME=traitlets
 export LC_ALL=C.UTF-8
-
-export PYBUILD_TEST_ARGS = --ignore=tests/test_typing.py
 
 %:
 	dh $@ --with sphinxdoc --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
    https://api.github.com/repos/ipython/traitlets/tags?per_page=100 \
    https://api.github.com/repos/ipython/traitlets/tarball/refs/tags/@ANY_VERSION@
